package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import org.apache.axis.utils.StringUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/ReplaceWithStarAction.class */
public class ReplaceWithStarAction extends LifeAction {
    private String sourceFields;
    private String saveFields;
    private String replaceInt;

    public String execute(Context context) throws GENEException {
        if (StringUtils.isEmpty(this.sourceFields) || StringUtils.isEmpty(this.saveFields) || StringUtils.isEmpty(this.replaceInt)) {
            throw new TranFailException("转换参数配置为空");
        }
        String sourceFieldSt = (String) context.getDataValue(this.sourceFields);
        String[] pos = this.replaceInt.split("\\|");
        try {
            String stValue = String.valueOf(sourceFieldSt.substring(0, Integer.parseInt(pos[0]) - 1)) + "****" + sourceFieldSt.substring(Integer.parseInt(pos[1]));
            context.setDataValue(this.saveFields, stValue);
            return "0";
        } catch (Exception unused) {
            throw new TranFailException("PBPUB005", "脱敏转换*错误");
        }
    }

    public void setSourceFields(String sourceFields) {
        this.sourceFields = sourceFields;
    }

    public void setSaveFields(String saveFields) {
        this.saveFields = saveFields;
    }

    public void setReplaceInt(String replaceInt) {
        this.replaceInt = replaceInt;
    }
}
